classification
Title: Update json to upstream simplejson latest release
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: sandro.tosi Nosy List: Arfrever, belopolsky, benjamin.peterson, bob.ippolito, brett.cannon, christian.heimes, ezio.melotti, fdrake, georg.brandl, matrixise, pitrou, pjenvey, rhettinger, sandro.tosi, serhiy.storchaka
Priority: normal Keywords:

Created on 2011-04-14 19:35 by sandro.tosi, last changed 2018-02-01 10:05 by matrixise. This issue is now closed.

Messages (13)
msg133765 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-04-14 19:35
This issue is to track the update process of json to the latest upstream release (2.1.3).

As a start, here's the p-dev thread: http://mail.python.org/pipermail/python-dev/2011-April/110704.html
msg133832 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2011-04-15 15:00
I am not sure anyone other that Bob Ippolito can contribute later versions of simplejson (or patches derived from those versions) to python.

ISTM that simplejson distribution is covered by MIT license [1] which is not one of the valid "initial licenses." [2]

I was trying to find what was the plan for maintaining json package in stdlib when it was initially included, but the only discussion I could find was a short thread [3] and issue #2750.  Neither seem to address the issue of future maintenance.
 

[1] https://github.com/simplejson/simplejson/blob/master/LICENSE.txt
[2] http://www.python.org/psf/contrib/contrib-form/
[3] http://mail.python.org/pipermail/python-3000/2008-March/012583.html
msg133843 - (view) Author: Bob Ippolito (bob.ippolito) * (Python committer) Date: 2011-04-15 16:17
That's not a problem, I'm more than happy to give permission for any patch. If it's easier I can consider dual-licensing in the simplejson source.
msg133844 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2011-04-15 16:23
On Fri, Apr 15, 2011 at 12:17 PM, Bob Ippolito <report@bugs.python.org> wrote:
..
> That's not a problem, I'm more than happy to give permission for any patch.
> If it's easier I can consider dual-licensing in the simplejson source.

Can someone who can speak for PSF clarify the mechanics of how this
should be done?  The contributor form seems to suggest that

"""
Contributor shall identify each Contribution by placing the following
notice in its source code adjacent to Contributor's valid copyright
notice: "Licensed to PSF under a Contributor Agreement."
"""

Would it be enough for Bob to add this text here:

 https://github.com/simplejson/simplejson/blob/master/LICENSE.txt

?
msg179705 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-01-11 17:13
What is the status of this, Sandro? Are we still out of sync? If so and it's a licensing issue I can get legal clarification for whatever we need.
msg179719 - (view) Author: Bob Ippolito (bob.ippolito) * (Python committer) Date: 2013-01-11 18:25
To try and make this as painless as possible I have done both things. simplejson is now explicitly dual-licensed MIT or AFL v2.1 and there is also an explicit sentence in LICENSE.txt that states "This code is also licensed to the Python Software Foundation (PSF) under a Contributor Agreement."

simplejson v3.0.7 (tag v3.0.7 in the repo) is this version. If there's anything more I can do to help, please let me know.
msg179731 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-01-11 20:48
Short of doing an actual merge I don't think so, Bob. Thanks for the changes!

Sandro, feel free to do any merge you were planning to do.
msg179864 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-01-13 11:22
Which simplejson features or fixes exactly are missing from the json module?
msg179865 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-13 11:44
Is there any reason why the two codebases are maintained separately instead of being kept in sync? (and what's the reason for simplejson to be still maintained?  faster release cycles? compatibility with older Python versions?)
msg179868 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-13 12:27
See also issue16535. I doubt that json should support decimals in this manner, with special boolean parameter instead of general fabric function. Current simlejson has too many special parameters.
msg229422 - (view) Author: St├ęphane Wirtel (matrixise) * (Python committer) Date: 2014-10-15 09:17
Hi all,

ping this issue for Python 3.5.
msg229427 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-10-15 10:05
Development of simplejson and the standard json module has diverged. We may port selected fixes and features from simplejson, but I don't think a wholesale update is doable anymore.

Please open separate issues for each feature you would like to see added to the standard json module.
msg311415 - (view) Author: St├ęphane Wirtel (matrixise) * (Python committer) Date: 2018-02-01 10:05
I close this issue because we are in 2018 and the issue was rejected by Antoine in 2014.
History
Date User Action Args
2018-02-01 10:05:30matrixisesetmessages: + msg311415
2018-02-01 10:05:03matrixisesetstatus: pending -> closed
stage: resolved
2014-10-15 10:05:38pitrousetstatus: open -> pending
resolution: rejected
messages: + msg229427
2014-10-15 09:17:14matrixisesetnosy: + matrixise
messages: + msg229422
2013-01-13 12:27:30serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg179868
2013-01-13 11:44:33ezio.melottisetmessages: + msg179865
2013-01-13 11:22:01pitrousetnosy: + pitrou
messages: + msg179864
2013-01-13 08:36:23Arfreversetnosy: + Arfrever
2013-01-11 20:48:43brett.cannonsetmessages: + msg179731
2013-01-11 18:25:11bob.ippolitosetstatus: pending -> open

messages: + msg179719
2013-01-11 17:13:39brett.cannonsetstatus: open -> pending

messages: + msg179705
2011-04-15 16:23:08belopolskysetmessages: + msg133844
2011-04-15 16:17:49bob.ippolitosetmessages: + msg133843
2011-04-15 15:00:12belopolskysetnosy: + christian.heimes, bob.ippolito, belopolsky, rhettinger, brett.cannon, benjamin.peterson, georg.brandl, pjenvey
messages: + msg133832
2011-04-15 04:57:49ezio.melottisetnosy: + fdrake, ezio.melotti
2011-04-14 19:35:47sandro.tosicreate